Package org.gradle.api.initialization.definition

## Interface InjectedPluginDependencies

-     public interface InjectedPluginDependencies

  The DSL for declaring plugins to inject into an included build.
  Since:
    4.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InjectedPluginDependency` | `id​(java.lang.String id)` | Add a dependency on the plugin with the given id.

- - ### Method Detail

    - #### id

          InjectedPluginDependency id​(java.lang.String id)

      Add a dependency on the plugin with the given id.
      Parameters:
        `id` - the id of the plugin to depend on
      Returns:
        a mutable injected plugin dependency that can be used to further refine the dependency